Bug 239369 - (perl-Sys-Syscall) Review Request: perl-Sys-Syscall - Access system calls that Perl doesn't normally provide access to
Review Request: perl-Sys-Syscall - Access system calls that Perl doesn't norm...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 17:57 EDT by Ruben Kerkhof
Modified: 2011-07-15 10:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-12 13:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2007-05-07 17:57:44 EDT
Spec URL: http://rubenkerkhof.com/packages/perl-Sys-Syscall.spec
SRPM URL: http://rubenkerkhof.com/packages/perl-Sys-Syscall-0.22-1.src.rpm
Description:
Use epoll, sendfile, from Perl. Mostly Linux-only support now, but more
syscalls/OSes planned for future.
Comment 1 Chris Weyl 2007-05-07 21:38:55 EDT
Changelog entry is a touch weird -- you should add your email addy, even if
it's in <foo at bar.org> format.

Missing BR on perl(Test::More).

Correct the above two and I'll approve :)

+ source files match upstream:
 a29b1ddd6fea9f7e11f0f82534d4204c  Sys-Syscall-0.22.tar.gz
 a29b1ddd6fea9f7e11f0f82534d4204c  ../Sys-Syscall-0.22.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. License text not included upstream.
+ latest version is being packaged.
X BuildRequires are proper.
+ compiler flags are appropriate. (noarch)
+ %clean is present.
+ package installs properly
+ rpmlint is silent.
+ final provides and requires are sane:
 ** perl-Sys-Syscall-0.22-1.fc6.noarch.rpm
 == rpmlint
 == provides
 perl(Sys::Syscall) = 0.22
 perl-Sys-Syscall = 0.22-1.fc6
 == requires
 perl(:MODULE_COMPAT_5.8.8)  
 perl(Config)  
 perl(Exporter)  
 perl(POSIX)  
 perl(constant)  
 perl(strict)  
 perl(vars)  
+ %check is present and all tests pass:
 All tests successful.
 Files=3, Tests=23,  2 wallclock secs ( 0.21 cusr +  0.09 csys =  0.30 CPU)
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
Comment 2 Ruben Kerkhof 2007-05-08 03:18:02 EDT
Hi Chris, thanks for the review.

New version at
http://rubenkerkhof.com/packages/perl-Sys-Syscall.spec
SRPM: http://rubenkerkhof.com/packages/perl-Sys-Syscall-0.22-2.src.rpm
Comment 3 Chris Weyl 2007-05-09 10:06:30 EDT
APPROVED
Comment 4 Ruben Kerkhof 2007-05-09 13:00:55 EDT
New Package CVS Request
=======================
Package Name: perl-Sys-Syscall
Short Description: Access system calls that Perl doesn't normally provide access to
Owners: ruben@rubenkerkhof.com
Branches: FC-5 FC-6
Comment 5 Ruben Kerkhof 2007-08-07 15:46:54 EDT
Package Change Request
======================
Package Name: perl-Sys-Syscall
New Branches: EL-4 EL-5
Comment 6 Jason Tibbitts 2007-08-07 18:34:23 EDT
I'm seeing perl-Sys-Syscall as having been branched for EPEL on May 15, 2007. 
So I guess it's already been done.
Comment 7 Petr Pisar 2011-07-13 04:58:59 EDT
Package Change Request
======================
Package Name: perl-Sys-Syscall
Branches: f15 f14
New InitialCC: perl-sig

Please add `perl-sig' to CC list for all Fedora branches as this is Perl
package.
Comment 8 Gwyn Ciesla 2011-07-15 10:00:10 EDT
This is now done through pkgdb.

Note You need to log in before you can comment on or make changes to this bug.